summaryrefslogtreecommitdiffstats
path: root/modules.d/35network-legacy/module-setup.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xmodules.d/35network-legacy/module-setup.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/modules.d/35network-legacy/module-setup.sh b/modules.d/35network-legacy/module-setup.sh
index 42257eb..00e1f36 100755
--- a/modules.d/35network-legacy/module-setup.sh
+++ b/modules.d/35network-legacy/module-setup.sh
@@ -71,7 +71,7 @@ install() {
(
# shellcheck disable=SC1090
. "$i"
- if ! [ "${ONBOOT}" = "no" -o "${ONBOOT}" = "NO" ] \
+ if ! [ "${ONBOOT}" = "no" ] || [ "${ONBOOT}" = "NO" ] \
&& [ -n "${TEAM_MASTER}${TEAM_CONFIG}${TEAM_PORT_CONFIG}" ]; then
if [ -n "$TEAM_CONFIG" ] && [ -n "$DEVICE" ]; then
mkdir -p "$initdir"/etc/teamd